# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Mar 14 15:59:32 2022
# ------------------------------------------------

package:
  name: dask
  version: 2022.2.1
source:
  sha256: b699da18d147da84c6c0be26d724dc1ec384960bf1f23c8db4f90740c9ac0a89
  url: https://pypi.io/packages/source/d/dask/dask-2022.2.1.tar.gz
build:
  noarch: python
  number: '0'
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.2.1 h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - python 3.10.0 h12debd9_5
    - readline 8.1.2 h7f8727e_1
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - bokeh >=2.1.1
    - cytoolz >=0.8.2
    - dask-core 2022.2.1.*
    - distributed 2022.2.1.*
    - jinja2
    - numpy >=1.18
    - pandas >=1.0
    - python >=3.8
  run_constrained:
    - openssl !=1.1.1e
test:
  commands:
    - pip check
  imports:
    - dask
    - dask.array
    - dask.bag
    - dask.bytes
    - dask.dataframe
    - dask.dataframe.io
    - dask.dataframe.tseries
    - dask.delayed
    - dask.diagnostics
    - dask.distributed
    - distributed
  requires:
    - pip
about:
  description: 'Dask is a flexible parallel computing library for analytics.

    '
  dev_url: https://github.com/dask/dask
  doc_url: https://dask.org/
  home: https://dask.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Parallel PyData with Task Scheduling
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - alimanfoo
    - jakirkham
    - jcrist
    - jrbourbeau
    - koverholt
    - martindurant
    - mrocklin
    - pitrou
    - tomaugspurger
